libmwaw_applepict1::Region Class Reference

Internal and low level: class used to read/store a picture region. More...

## Public Member Functions

| Region ()
bool | read (MWAWInputStream &input)
| tries to read the data More...

## Protected Attributes

Box2i | m_box
| the bounding box More...
std::vector< Vec2i > | m_points
| the set of points which defines the mask More...

## Friends

std::ostream & | operator<< (std::ostream &o, Region const &f)
| operator << for a Region More...

## Detailed Description

Internal and low level: class used to read/store a picture region.

A region is formed by bounding box followed by an array of bits which indicate which defines a mask

## Constructor & Destructor Documentation

libmwaw_applepict1::Region::Region | ( |  | ) |

inline

## Member Function Documentation

bool libmwaw_applepict1::Region::read | ( | MWAWInputStream & | input | ) |

inline

tries to read the data

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Region const & | f
| ) |  |

friend

operator << for a Region

## Member Data Documentation

Box2i libmwaw_applepict1::Region::m_box

protected

the bounding box

Referenced by read().

std::vector<Vec2i> libmwaw_applepict1::Region::m_points

protected

the set of points which defines the mask

Referenced by read().

The documentation for this class was generated from the following file:

- MWAWPictMac.cxx